package httpserver

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

type Server struct {
	Http   *http.Server
	Router *gin.Engine
}

func NewServer() *Server {
	server := &Server{
		Http:   new(http.Server),
		Router: gin.New(),
	}

	server.Http.Handler = server.Router
	server.Http.Addr = ":8000"

	return server
}

func (server *Server) Run() error {
	return server.Http.ListenAndServe()
}
